package cn.com.qmth.mps.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.annotation.BOOL;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.boot.core.collection.PageResult;

import cn.com.qmth.mps.service.SchoolService;
import cn.com.qmth.mps.vo.school.SchoolDomain;
import cn.com.qmth.mps.vo.school.SchoolQuery;
import cn.com.qmth.mps.vo.school.SchoolVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "学校接口")
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/school")
@Aac(strict = BOOL.FALSE, auth = BOOL.TRUE)
public class SchoolController extends BaseController {
	@Autowired
	private SchoolService schoolService;

    @ApiOperation(value = "新增/修改")
    @RequestMapping(value = "save", method = RequestMethod.POST)
    public void save(SchoolDomain domain) {
    	schoolService.saveSchool(getAccessUser(),domain);
    }

    @ApiOperation(value = "获取分页")
    @RequestMapping(value = "page", method = RequestMethod.POST)
    public PageResult<SchoolVo> page(SchoolQuery query) {
        return schoolService.page(query,getAccessUser());
    }
    
    @ApiOperation(value = "获取信息")
    @RequestMapping(value = "info", method = RequestMethod.POST)
    public SchoolVo info(@RequestParam Long id) {
        return schoolService.info(id,getAccessUser());
    }
    
    @ApiOperation(value = "启用/禁用")
    @RequestMapping(value = "toggle", method = RequestMethod.POST)
    public void enable(@RequestParam List<Long> ids, @RequestParam Boolean enable) {
    	schoolService.toggle(ids,enable,getAccessUser());
    }
    
    @ApiOperation(value = "同步")
    @PostMapping("sync")
    public void sync() {
    	schoolService.syncSchool(getAccessUser());
    }

}
