package cn.com.qmth.mps.job;

import org.apache.logging.log4j.ThreadContext;

import cn.com.qmth.mps.util.ThreadLocalUtil;

public abstract class AbstractJob {

    public abstract void run();

    public void execute() {
        try {
            String traceId = ThreadLocalUtil.next();
            ThreadContext.put("TRACE_ID", traceId);
            ThreadContext.put("CALLER", Thread.currentThread().getName());

            this.run();
        } finally {
            ThreadContext.clearAll();
        }
    }

}
