package cn.com.qmth.mps.service.impl;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import cn.com.qmth.mps.dao.CourseDao;
import cn.com.qmth.mps.entity.CourseEntity;
import cn.com.qmth.mps.service.CourseService;

@Service
public class CourseServiceImpl extends ServiceImpl<CourseDao, CourseEntity> implements CourseService {

	@Override
	public CourseEntity getByCode(Long schoolId, String code) {
		QueryWrapper<CourseEntity> wrapper = new QueryWrapper<>();
        LambdaQueryWrapper<CourseEntity> lw = wrapper.lambda();
        lw.eq(CourseEntity::getSchoolId, schoolId);
        lw.eq(CourseEntity::getCode, code);
        return this.getOne(wrapper);
	}

	@Transactional
	@Override
	public CourseEntity saveOrGet(Long schoolId, String code,String name) {
		CourseEntity c=getByCode(schoolId, code);
		if(c==null) {
			c=new CourseEntity();
			c.setSchoolId(schoolId);
			c.setCode(code);
		}
		c.setName(name);
		this.saveOrUpdate(c);
		return c;
	}

}
