package cn.com.qmth.mps.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.jeffreyning.mybatisplus.service.MppServiceImpl;
import com.qmth.boot.core.exception.StatusException;

import cn.com.qmth.mps.bean.CourseInfo;
import cn.com.qmth.mps.dao.UserCourseRelationDao;
import cn.com.qmth.mps.entity.CourseEntity;
import cn.com.qmth.mps.entity.UserCourseRelationEntity;
import cn.com.qmth.mps.service.CourseService;
import cn.com.qmth.mps.service.UserCourseRelationService;

@Service
public class UserCourseRelationServiceImpl extends
		MppServiceImpl<UserCourseRelationDao, UserCourseRelationEntity> implements UserCourseRelationService {
	@Autowired
	private CourseService courseService;
	
	@Transactional
	@Override
	public void saveCourse(Long schoolId,Long userId, List<String> course) {
		List<UserCourseRelationEntity> ret=new ArrayList<>();
		for(String s:course) {
			CourseEntity c= courseService.getByCode(schoolId,s);
			if(c==null) {
				throw new StatusException("科目代码不存在:"+s);
			}
			UserCourseRelationEntity uc=new UserCourseRelationEntity();
			uc.setCourseId(c.getId());
			uc.setUserId(userId);
			ret.add(uc);
		}
		this.removeCourse(userId);
		this.saveOrUpdateBatchByMultiId(ret);
	}
	
	@Transactional
	@Override
	public void removeCourse(Long userId) {
		QueryWrapper<UserCourseRelationEntity> wrapper = new QueryWrapper<>();
        LambdaQueryWrapper<UserCourseRelationEntity> lw = wrapper.lambda();
        lw.eq(UserCourseRelationEntity::getUserId, userId);
        this.remove(wrapper);
	}

	@Override
	public List<CourseInfo> getCourses(Long userId) {
		return this.baseMapper.getCourses(userId);
	}


}
