package cn.com.qmth.mps.support;

import javax.servlet.http.HttpServletRequest;

/**
 * spring mvc 方法前校验器
 *
 */
public interface HttpMethodProcessor {

	/**
	 * 方法前处理
	 *
	 * @author 
	 * @param request
	 * @param args
	 */
	void beforeMethod(HttpServletRequest request, Object[] args);

	/**
	 * 方法执行未抛出异常时执行
	 *
	 * @author 
	 * @param request
	 * @param args
	 * @param ret
	 */
	void onSuccess(HttpServletRequest request, Object[] args, Object ret);

	/**
	 * 方法执行抛出异常时执行
	 *
	 * @author 
	 * @param request
	 * @param args
	 * @param e
	 */
	void onException(HttpServletRequest request, Object[] args, Throwable e);

}
