package cn.com.qmth.mps.support;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 日志属性
 *
 */
@Component
@ConfigurationProperties("scan.web.log")
public class LogProperties {

	/**
	 * 是否记录正常相应信息
	 */
	private boolean normalResponseLogEnable = true;

	/**
	 * 正常响应信息json长度限制
	 */
	private int responseLogJsonMaxSize = 200;

	public boolean isNormalResponseLogEnable() {
		return normalResponseLogEnable;
	}

	public void setNormalResponseLogEnable(boolean normalResponseLogEnable) {
		this.normalResponseLogEnable = normalResponseLogEnable;
	}

	public int getResponseLogJsonMaxSize() {
		return responseLogJsonMaxSize;
	}

	public void setResponseLogJsonMaxSize(int responseLogJsonMaxSize) {
		this.responseLogJsonMaxSize = responseLogJsonMaxSize;
	}

}
